Package org.eclipse.net4j.util.ui

## Class UIActivator.WithState

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.net4j.util.ui.UIActivator
      - - org.eclipse.net4j.util.ui.UIActivator.WithState

- All Implemented Interfaces:
    `org.osgi.framework.BundleActivator`
  Enclosing class:
    UIActivator

      public abstract static class UIActivator.WithState
      extends UIActivator

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.UIActivator

      `UIActivator.WithState`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.UIActivator

      `bundleContext`

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WithState​(OMBundle bundle)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doStart()` |
    `protected abstract void` | `doStartWithState​(java.lang.Object state)` |
    `protected void` | `doStop()` |
    `protected abstract java.lang.Object` | `doStopWithState()` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.UIActivator

      `getDialogSettings, getDialogSettings, getOMBundle, loadImageDescriptor, start, stop`

    - ### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

      `createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WithState

          public WithState​(OMBundle bundle)

  - ### Method Detail

    - #### doStart

          protected final void doStart()
                                throws java.lang.Exception

      Overrides:
        `doStart` in class `UIActivator`
      Throws:
        `java.lang.Exception`

    - #### doStop

          protected final void doStop()
                               throws java.lang.Exception

      Overrides:
        `doStop` in class `UIActivator`
      Throws:
        `java.lang.Exception`

    - #### doStartWithState

          protected abstract void doStartWithState​(java.lang.Object state)
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### doStopWithState

          protected abstract java.lang.Object doStopWithState()
                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`